Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum IRhino3dm.BrepLoop.Type

    java.lang.Object
      java.lang.Enum<IRhino3dm.BrepLoop.Type>
          igeo.io.IRhino3dm.BrepLoop.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IRhino3dm.BrepLoop.Type>

Enclosing class:
  IRhino3dm.BrepLoop

    public static enum IRhino3dm.BrepLoop.Type

extends java.lang.Enum<IRhino3dm.BrepLoop.Type>

Enum Constant Summary
`CrvOnSrf`
`Inner`
`Outer`
`PtOnSrf`
`Slit`
`TypeCount`
`Unknown`

Method Summary
`static IRhino3dm.BrepLoop.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IRhino3dm.BrepLoop.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unknown

    public static final IRhino3dm.BrepLoop.Type Unknown

### Outer

    public static final IRhino3dm.BrepLoop.Type Outer

### Inner

    public static final IRhino3dm.BrepLoop.Type Inner

### Slit

    public static final IRhino3dm.BrepLoop.Type Slit

### CrvOnSrf

    public static final IRhino3dm.BrepLoop.Type CrvOnSrf

### PtOnSrf

    public static final IRhino3dm.BrepLoop.Type PtOnSrf

### TypeCount

    public static final IRhino3dm.BrepLoop.Type TypeCount

Method Detail

### values

    public static final IRhino3dm.BrepLoop.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IRhino3dm.BrepLoop.Type c : IRhino3dm.BrepLoop.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IRhino3dm.BrepLoop.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD